aboutsummaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..1d20f2a
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+D=/var/www/hex-zero
+
+case "$1" in
+ purge)
+ update-rc.d -f hex-zero remove
+ rm -f ${D}/db.sqlite \
+ ${D}/migrations/__pycache__/* \
+ ${D}/migrations/* \
+ ${D}/migrations/versions/* 1>/dev/null 2>&1 || :
+ rmdir ${D}/migrations/__pycache__ ${D}/migrations/versions 1>/dev/null 2>&1 || :
+ rmdir ${D}/migrations 1>/dev/null 2>&1 || :
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
bgstack15